slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNRegister

Adds a method to the matrix function solver package.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNRegister(const char *name,PetscErrorCode (*function)(MFN))

Not Collective

### Input Parameters

| name | - name of a new user-defined solver
| function | - routine to create the solver context

### Notes

MFNRegister() may be called multiple times to add several user-defined solvers.

### Example Usage

        MFNRegister("my_solver",MySolverCreate);

Then, your solver can be chosen with the procedural interface via

        MFNSetType(mfn,"my_solver")

or at runtime via the option

        -mfn_type my_solver

### See Also

MFNRegisterAll()

### Level

advanced

### Location

src/mfn/interface/mfnbasic.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages